#!/usr/bin/env bash

sync_cluster_membership () {
    if [[ (-f "/config/cb.conf") && (-f "/config/docker_install.conf")]]; then
        local new_membership old_membership
        new_membership=$(grep ClusterMembership /config/cb.conf)
        old_membership=$(grep ClusterMembership /config/docker_install.conf)
        if [[ (-n ${new_membership}) && ("${new_membership}" != "${old_membership}") ]]; then
            sed -i "s/ClusterMembership=.*/${new_membership}/" ./config/docker_install.conf
            local role
            role=$(echo "${new_membership}" | cut -d= -f2)
            echo "Cluster membership updated to ${role}"
        fi
    fi
}

main () {
    /usr/share/cb/cbcluster "${@}"
    sync_cluster_membership
}

main "$@"