#!/usr/bin/env bash

readonly EDR_IMAGE_REGISTRY="${EDR_IMAGE_REGISTRY:?Error: EDR_IMAGE_REGISTRY is undefined.}"
readonly EDR_IMAGE_PROJECT="${EDR_IMAGE_PROJECT:?Error: EDR_IMAGE_PROJECT is undefined.}"
readonly EDR_IMAGE_REPO="${EDR_IMAGE_REPO:?Error: EDR_IMAGE_REPO is undefined.}"

main() {
    # as written only supports up to 100 tags. Future may require supporting pagination
    QUERY="artifacts?page=1&page_size=100&with_tag=true"
    API_URL="https://${EDR_IMAGE_REGISTRY}/api/v2.0/projects/${EDR_IMAGE_PROJECT}/repositories/${EDR_IMAGE_REPO}/${QUERY}"
    jq -r '.[] .tags[] .name' <(curl -s "${API_URL}")
}

main "$@"
